Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.text
Enum OdfPageContiuationSelectType

    java.lang.Object
      java.lang.Enum<OdfPageContiuationSelectType>
          org.odftoolkit.odfdom.dom.type.text.OdfPageContiuationSelectType

All Implemented Interfaces:
  Serializable, Comparable<OdfPageContiuationSelectType>

    public enum OdfPageContiuationSelectType

extends Enum<OdfPageContiuationSelectType>

DOM implementation of OpenDocument attribute text:select-page.

Enum Constant Summary
`NEXT`
`PREVIOUS`

Method Summary
`static OdfPageContiuationSelectType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfPageContiuationSelectType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfPageContiuationSelectType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfPageContiuationSelectType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NEXT

    public static final OdfPageContiuationSelectType NEXT

### PREVIOUS

    public static final OdfPageContiuationSelectType PREVIOUS

Method Detail

### values

    public static OdfPageContiuationSelectType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfPageContiuationSelectType c : OdfPageContiuationSelectType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfPageContiuationSelectType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfPageContiuationSelectType>`
  Returns:
    return the name of OdfPageContiuationSelectType

### toString

    public static String toString(OdfPageContiuationSelectType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfPageContiuationSelectType, see text:select-page
  Returns:
    return the name of OdfPageContiuationSelectType

### enumValueOf

    public static OdfPageContiuationSelectType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfPageContiuationSelectType
  Returns:
    return the constant of OdfPageContiuationSelectType, see text:select-page

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.